Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-33310

Tiny MCE Versions mismatch

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • Minor
    • Resolution: Duplicate
    • 2.3
    • None
    • HTML Editor (TinyMCE)
    • None
    • MOODLE_23_STABLE

    Description

      The TinyMCE version in the file structure, as well as defined in lib/editor/tinymce/lib.php is '3.5', while in lib/editor/tinymce/version.php, release is '3.5.0'.

      I have found this breaks at least one plugin set (Wiris equation editor), as they are using $plugin->release to determine the path to tinymce.

      While it may be improper, it seems like an unnecessary discrepancy. Personally I think the folder and version should be 3.5.0, as that seems to be the official tinymce versioning, but obviously changing version.php would be slightly easier.

      Attachments

        Issue Links

          Activity

            People

              skodak Petr Skoda
              emerrill Eric Merrill
              Andrew Lyons, Huong Nguyen, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: